Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.internal.swt
Class ECPRendererDescription

    java.lang.Object
      org.eclipse.emf.ecp.view.internal.swt.ECPRendererDescription

    public class ECPRendererDescription

extends Object

A class describing a rendererClass.

Author:
  Eugen Neufeld

Constructor Summary
`ECPRendererDescription(Class<AbstractSWTRenderer<VElement>> rendererClass, Set<ECPRendererTester> tester)` The constructor of the ControlDescription.

Method Summary
`Class<AbstractSWTRenderer<VElement>>` | `getRenderer()` The rendererClass.
`Set<ECPRendererTester>` | `getTester()` The tester for this rendererClass.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECPRendererDescription

    public ECPRendererDescription(Class<AbstractSWTRenderer<VElement>> rendererClass,
                                  Set<ECPRendererTester> tester)

  The constructor of the ControlDescription.

  Parameters:
    `rendererClass` - the rendererClass
    `tester` - the class testing whether the rendererClass is applicable for the current view model context

Method Detail

### getRenderer

    public Class<AbstractSWTRenderer<VElement>> getRenderer()

  The rendererClass. It extends the `AbstractSWTRenderer`.

  Returns:
    the class implementing this rendererClass

### getTester

    public Set<ECPRendererTester> getTester()

  The tester for this rendererClass. The tester is used to check whether this rendererClass is usable on a specific view model context.

  Returns:
    the `ECPRendererTester` implementation

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.